net.sf.jasperreports.engine.export

## Class JRHtmlExporter.ExporterContext

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext
  - - net.sf.jasperreports.engine.export.JRHtmlExporter.ExporterContext

- All Implemented Interfaces:
    HyperlinkURLResolver, JRExporterContext, JRHtmlExporterContext
  Enclosing class:
    JRHtmlExporter

      protected class JRHtmlExporter.ExporterContext
      extends JRAbstractExporter.BaseExporterContext
      implements JRHtmlExporterContext

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRHtmlExporter.ExporterContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExportPropertiesPrefix()`
    `java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link)`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext

      `getExportedReport, getExporter, getExporterRef, getExportParameters, getJasperReportsContext, getOffsetX, getOffsetY, getValue, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.JRExporterContext

      `getExportedReport, getExporter, getExporterRef, getExportParameters, getJasperReportsContext, getOffsetX, getOffsetY, getValue, setValue`

- - ### Constructor Detail

    - #### JRHtmlExporter.ExporterContext

          protected JRHtmlExporter.ExporterContext()

  - ### Method Detail

    - #### getExportPropertiesPrefix

          public java.lang.String getExportPropertiesPrefix()

      Specified by:
        `getExportPropertiesPrefix` in interface `JRExporterContext`
      Overrides:
        `getExportPropertiesPrefix` in class `JRAbstractExporter.BaseExporterContext`

    - #### getHyperlinkURL

          public java.lang.String getHyperlinkURL(JRPrintHyperlink link)

      Specified by:
        `getHyperlinkURL` in interface `HyperlinkURLResolver`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com